Loading...
Searching...
No Matches
Opm::Elasticity::Schwarz Struct Reference

Overlapping Schwarz preconditioner. More...

`#include <elasticity_preconditioners.hpp>`

## Public Types

typedef Dune::SeqOverlappingSchwarz< Matrix, Vector, Dune::SymmetricMultiplicativeSchwarzMode, LUSolver > | type

## Static Public Member Functions

static std::shared_ptr< type > | setup (int, int, int, int, std::shared_ptr< Operator > &op, const Dune::CpGrid &gv, ASMHandler< Dune::CpGrid > &A, bool &copy)
| Setup preconditioner.
static type * | setup2 (std::shared_ptr< Operator > &op, const Dune::CpGrid &gv, ASMHandler< Dune::CpGrid > &A, bool &copy)
| Setup preconditioner.

## Detailed Description

Overlapping Schwarz preconditioner.

## Member Function Documentation

## setup()

std::shared_ptr< type > Opm::Elasticity::Schwarz::setup | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | std::shared_ptr< Operator > & | op,
|  | const Dune::CpGrid & | gv,
|  | ASMHandler< Dune::CpGrid > & | A,
|  | bool & | copy )

inline static

Setup preconditioner.

Parameters

  [in] | pre | The number of pre-smoothing steps
  [in] | post | The number of post-smoothing steps
  [in] | target | The coarsening target
  [in] | zcells | The wanted number of cells to collapse in z per level
  [in] | op | The linear operator
  [in] | gv | The cornerpoint grid
  | A | The ASMHandler for the elasticity operator(s)
  [out] | copy | Whether or not to clone for threads

## setup2()

Schwarz::type * Opm::Elasticity::Schwarz::setup2 | ( | std::shared_ptr< Operator > & | op,
|  | const Dune::CpGrid & | gv,
|  | ASMHandler< Dune::CpGrid > & | A,
|  | bool & | copy )

static

Setup preconditioner.

Parameters

  [in] | op | The linear operator
  [in] | gv | The cornerpoint grid
  [in] | A | The ASMHandler for the elasticity operator(s)
  [out] | copy | Whether or not to clone for threads

The documentation for this struct was generated from the following files:

- opm/elasticity/elasticity_preconditioners.hpp
- opm/elasticity/elasticity_preconditioners.cpp